Index: src/sas/sasgui/perspectives/file_converter/converter_panel.py
===================================================================
--- src/sas/sasgui/perspectives/file_converter/converter_panel.py	(revision de0df2c0fc285cab843111454cac5c2f125d58d9)
+++ src/sas/sasgui/perspectives/file_converter/converter_panel.py	(revision 2a7722bd81d3108838f9bec83900a8e34c4b88cc)
@@ -12,4 +12,5 @@
 from sas.sasgui.perspectives.file_converter.meta_panels import MetadataWindow
 from sas.sasgui.perspectives.file_converter.meta_panels import DetectorPanel
+from sas.sasgui.perspectives.file_converter.meta_panels import SamplePanel
 from sas.sasgui.guiframe.events import StatusEvent
 from sas.sasgui.guiframe.dataFitting import Data1D
@@ -17,4 +18,5 @@
 from sas.sascalc.dataloader.readers.cansas_reader import Reader as CansasReader
 from sas.sascalc.dataloader.data_info import Detector
+from sas.sascalc.dataloader.data_info import Sample
 from sas.sascalc.dataloader.data_info import Vector
 
@@ -55,5 +57,6 @@
             'run_name': None,
             'instrument': None,
-            'detector': [Detector()]
+            'detector': [Detector()],
+            'sample': Sample()
         }
         self.vectors = ['offset', 'orientation', 'pixel_size', 'beam_center']
@@ -194,4 +197,15 @@
         detector_frame.Show(True)
 
+    def show_sample_window(self, event):
+        if self.meta_frames != []:
+            for frame in self.meta_frames:
+                frame.panel.on_close()
+        sample_frame = MetadataWindow(SamplePanel,
+            parent=self.parent.manager.parent, manager=self,
+            metadata=self.metadata['sample'], title='Sample Metadata')
+        self.meta_frames.append(sample_frame)
+        self.parent.manager.put_icon(sample_frame)
+        sample_frame.Show(True)
+
     def metadata_changed(self, event):
         event.Skip()
@@ -300,4 +314,11 @@
         y += 1
 
+        sample_label = wx.StaticText(metadata_pane, -1, "Sample: ")
+        metadata_grid.Add(sample_label, (y,0), (1,1), wx.ALL | wx.EXPAND, 5)
+        sample_btn = wx.Button(metadata_pane, -1, "Enter Sample Metadata")
+        metadata_grid.Add(sample_btn, (y,1), (1,1), wx.ALL | wx.EXPAND, 5)
+        sample_btn.Bind(wx.EVT_BUTTON, self.show_sample_window)
+        y += 1
+
         metadata_pane.SetSizer(metadata_grid)
 
Index: src/sas/sasgui/perspectives/file_converter/meta_panels.py
===================================================================
--- src/sas/sasgui/perspectives/file_converter/meta_panels.py	(revision de0df2c0fc285cab843111454cac5c2f125d58d9)
+++ src/sas/sasgui/perspectives/file_converter/meta_panels.py	(revision 2a7722bd81d3108838f9bec83900a8e34c4b88cc)
@@ -63,8 +63,8 @@
 
     def __init__(self, parent, detector, base=None, *args, **kwargs):
-        MetadataPanel.__init__(self, parent, detector, base, *args, **kwargs)
-
         if detector.name is None:
             detector.name = ''
+
+        MetadataPanel.__init__(self, parent, detector, base, *args, **kwargs)
 
         self._do_layout()
@@ -166,4 +166,68 @@
         self.SetSizer(vbox)
 
+class SamplePanel(MetadataPanel):
+
+    def __init__(self, parent, sample, base=None, *args, **kwargs):
+        MetadataPanel.__init__(self, parent, sample, base, *args, **kwargs)
+
+        self._do_layout()
+        self.SetAutoLayout(True)
+        self.Layout()
+
+    def on_close(self, event=None):
+        MetadataPanel.on_close(self, event)
+
+        self.parent.manager.metadata['sample'] = self.metadata
+        self.parent.on_close(event)
+
+    def _do_layout(self):
+        vbox = wx.BoxSizer(wx.VERTICAL)
+
+        section = wx.StaticBox(self, -1, "Sample")
+        section_sizer = wx.StaticBoxSizer(section, wx.VERTICAL)
+        section_sizer.SetMinSize((_STATICBOX_WIDTH, -1))
+
+        input_grid = wx.GridBagSizer(5, 5)
+
+        y = 0
+        name_label = wx.StaticText(self, -1, "Name: ")
+        input_grid.Add(name_label, (y,0), (1,1), wx.ALL, 5)
+        name_input = wx.TextCtrl(self, -1, name="name")
+        input_grid.Add(name_input, (y,1), (1,1))
+        name_input.Bind(wx.EVT_TEXT, self.on_change)
+        y += 1
+
+        id_label = wx.StaticText(self, -1, "ID: ")
+        input_grid.Add(id_label, (y,0), (1,1), wx.ALL, 5)
+        id_input = wx.TextCtrl(self, -1, name="ID")
+        input_grid.Add(id_input, (y,1), (1,1))
+        id_input.Bind(wx.EVT_TEXT, self.on_change)
+        y += 1
+
+        thickness_label = wx.StaticText(self, -1, "Thickness (mm): ")
+        input_grid.Add(thickness_label, (y,0), (1,1), wx.ALL, 5)
+        thickness_input = wx.TextCtrl(self, -1, name="thickness")
+        input_grid.Add(thickness_input, (y,1), (1,1))
+        thickness_input.Bind(wx.EVT_TEXT, self.on_change)
+        self._to_validate.append(thickness_input)
+        y += 1
+
+        name_input.SetValue(self.metadata.name)
+        id_input.SetValue(self.metadata.ID)
+        thickness = self.metadata.thickness
+        if thickness is None:
+            thickness = ''
+        thickness_input.SetValue(str(thickness))
+
+        done_btn = wx.Button(self, -1, "Done")
+        input_grid.Add(done_btn, (y,0), (1,1), wx.ALL, 5)
+        done_btn.Bind(wx.EVT_BUTTON, self.on_close)
+
+        section_sizer.Add(input_grid)
+        vbox.Add(section_sizer, flag=wx.ALL, border=10)
+
+        vbox.Fit(self)
+        self.SetSizer(vbox)
+
 class MetadataWindow(widget.CHILD_FRAME):
 
